# Phaser 3 Physics [ko](./README_kr.md)
## **arcade** vs **matter**
In Phaser, there are 3 type of phsic engines which are **arcade**, **matter** and **impact**. Among them, peolpe usually use **arcade** and **matter** (There are not even enough information about **impact** physics in  <strong>[Phaser API docs](https://photonstorm.github.io/phaser3-docs/Phaser.Physics.Impact.html)</strong>). Then you will wonder what is the difference between arcade physics and matter physics.

---
## performance comparison: **arcade** vs **matter**
If you searched about it before, then you would see many comments saying that **arcade** physics are more suitable in simple games because of performance issue. And yes, that is sort of true because while **matter** has more functions and complex advanced physics body which requires more memory. So, even if you make same simple game with **matter** physics, it spends more memory than one made widh **arcade** physics. There are some conversations about this and this one might be helpful: https://phaser.discourse.group/t/arcade-vs-matterjs-performance/7218.

---
## physics world comparison: **arcade** vs **matter**
From above, you may think 'why should we even consider about **matter** while it just wastes more memory thatn **arcade**?'. One of ther answer is that **matter** has more natural physic engine than **arcade** like complex shapes or chain of bodies. So, if you try to make game with high-level physics, you should use **matter** or mix it with **arcade**.

---
## Is there any way for making 3D game?
**arccade** and **matter** is basically for 2D games. If you check Phaser 3 API docs, you will see that game objects in both physics have function ```setVelocity(x [, y])```. And as you see, there is only x-axis and y-axis which means it really wasn't designed for 3D-game. You can use 3D camera plugin for Phaser 3 but there is high possibility that it doesn't work as you wanted. But, there is awesome extension [**enable3D**](https://github.com/enable3d/enable3d) for making 3D Phaser game 


<br><br>

---
[back to main](../README.md)

<br><br><br><br>
<img src="../by.png" alt="CC_BY" width="150"/>